[PATCH] Skip the updates directory when running pylint

David Shea dshea at redhat.com
Fri Mar 14 17:19:15 UTC 2014


---
 tests/pylint/runpylint.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/pylint/runpylint.sh b/tests/pylint/runpylint.sh
index 32328c1..3156238 100755
--- a/tests/pylint/runpylint.sh
+++ b/tests/pylint/runpylint.sh
@@ -92,7 +92,7 @@ if [ -z "$FILES" ]; then
     # Find any file in the list of directories that either ends in .py
     # or contains #!/usr/bin/python in the first line.
     # Scan everything except old_tests
-    FILES="$(find "${top_srcdir}" -type d -name old_tests -prune -o -type f \( -name '*.py' -o -exec awk -e 'NR==1 { if ($0 ~ /^#!\/usr\/bin\/python/) exit 0; else exit 1; }' -e 'END { if (NR == 0) exit 1; }' {} \; \) -print)"
+    FILES="$(find "${top_srcdir}" -type d -name old_tests -prune -o -type d -name updates -prune -o -type f \( -name '*.py' -o -exec awk -e 'NR==1 { if ($0 ~ /^#!\/usr\/bin\/python/) exit 0; else exit 1; }' -e 'END { if (NR == 0) exit 1; }' {} \; \) -print)"
 fi
 
 num_cpus=$(getconf _NPROCESSORS_ONLN)
-- 
1.8.5.3



More information about the anaconda-patches mailing list